import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Dialogs 1.2

ApplicationWindow {
    visible: true
    width: 320
    height: 200
    visibility: "Maximized"
    title: qsTr("Dungeon Master v0.16")
    property int frame: 1

    MainForm {
        id: main
        anchors.fill: parent

        mouseArea1.onMouseXChanged: bridge.setMouse(mouseArea1.mouseX, mouseArea1.mouseY, mouseArea1.width, mouseArea1.height);
        mouseArea1.onMouseYChanged: bridge.setMouse(mouseArea1.mouseX, mouseArea1.mouseY, mouseArea1.width, mouseArea1.height);
        mouseArea1.onPressed:bridge.setMousePress(mouse.button);
        mouseArea1.onReleased: bridge.setMouseRelease(mouse.button);
    }

    Timer  {
            id: elapsedTimer
            interval: 1000/60;
            running: true;
            repeat: true;
            onTriggered: {
                main.image1.source = "image://myimageprovider/" + frame;
                frame++;
            }
        }

    MouseArea {
        anchors.fill: parent
        enabled: false
        cursorShape: Qt.BlankCursor
    }
}

